/* eslint-disable no-case-declarations */
import React from 'react';
import loadable from '@loadable/component';

export default function index({ module }) {
  // Note: Default is template one when you create a new template just follow the stucture please
  const Component = () => {
    switch (module?.style) {
      case 'template_two':
        const TempateTwo = loadable(() => import('./template-two'));
        return <TempateTwo module={module} />;
      case 'template_three':
        const TempateThree = loadable(() => import('./template-three'));
        return <TempateThree module={module} />;
      default:
        const TempateOne = loadable(() => import('./template-one'));
        return <TempateOne module={module} />;
    }
  };

  return <>{Component && <Component />}</>;
}
